Bug 1572416 (CVE-2018-1335)

Summary: CVE-2018-1335 tika: Command injection in tika-server can allow remote attackers to execute arbitrary commands via crafted headers
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: abergmann, aileenc, alazarot, anstephe, bkearney, chazlett, drieden, etirelli, gvarsami, hhorak, ibek, java-sig-commits, jcoleman, jolee, jorton, jschatte, jstastny, kconner, krathod, kverlaen, ldimaggi, lef, meissner, nwallace, paradhya, pavelp, puntogil, rhel8-maint, rrajasek, rsynek, rwagner, rzhang, sdaley, tcunning, tkirby, tlestach, vhalbert
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: tika 1.18 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-10-17 18:51:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1572417, 1572418, 1614537    
Bug Blocks: 1572420    

Description Sam Fowler 2018-04-27 01:16:39 UTC
Apache Tika before version 1.18 has a command injection vulnerability in tika-server. A remote attacker could exploit this to execute arbitrary commands via crafted headers.


External References:

https://lists.apache.org/thread.html/b3ed4432380af767effd4c6f27665cc7b2686acccbefeb9f55851dca@%3Cdev.tika.apache.org%3E

Comment 1 Sam Fowler 2018-04-27 01:17:26 UTC
Created tika tracking bugs for this issue:

Affects: fedora-all [bug 1572418]

Comment 6 Andrej Nemec 2018-05-14 15:53:11 UTC
Statement:

This issue affects the versions of tika which is embedded in the nutch package  as shipped with Red Hat Satellite 5. The tika server is not exposed, as such exploitation is difficult, Red Hat Product Security has rated this issue as having security impact of Low. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 11 errata-xmlrpc 2019-10-17 14:54:48 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Data Virtualization 6.4.8

Via RHSA-2019:3140 https://access.redhat.com/errata/RHSA-2019:3140

Comment 12 Product Security DevOps Team 2019-10-17 18:51:24 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-1335